| Home | Libraries | People | FAQ | More

###### static_resource::static_resource (4 of 5 overloads)

Constructor.

###### Synopsis

    template<
        std::size_t N>
    static_resource(
        std::byte(&) buffer [N]);

###### Description

This constructs the resource to use the specified buffer for subsequent calls to allocate. When the buffer is exhausted, allocate will throw `std::bad_alloc`.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`buffer` | The buffer to use. Ownership is not transferred; the caller is responsible for ensuring that the lifetime of the buffer extends until the resource is destroyed.